program croshatch;

uses
	Dos, Crt, Graph;
const
	SolidFill : FillPatternType = ($ff,$ff,$ff,$ff,
                                    $ff,$ff,$ff,$ff);
var
	GraphDriver, GraphMode, ErrorCode    : integer;
	Radius, CenterLine                   : integer;
	Repeat1, Repeat2, Repeat3, NewColor  : integer;
	Year, Month, Day, DayOfWeek          : word;
	ThisYear, ThisMonth, ThisDate, Today : string[9];
        junk : char;

(* This procedure puts a cross-hatch on the screen for linearity testing *)
procedure CrossHatch;
var
	HorizPos : integer;
	VertiPos : integer;
begin
	SetColor(15);
	HorizPos := 1;
	VertiPos := GetMaxY div 29;
	repeat
 	MoveTo(HorizPos, VertiPos);
	LineTo(GetMaxX - 1, VertiPos);
	inc(VertiPos, GetMaxY div 29);
	until VertiPos >= GetMaxY;
	HorizPos := GetMaxX div 39;
	VertiPos := 1;
	repeat
	MoveTo(HorizPos, VertiPos);
	LineTo(HorizPos, GetMaxY - 1);
	inc(HorizPos, GetMaxX div 39);
	until HorizPos >= GetMaxX;
end; (* CrossHatch *)

(* Main program begins with the test of graphics call up *)
begin
	GraphDriver := Detect;
	InitGraph(GraphDriver, GraphMode, 'c:\tp\gr');
	ErrorCode   := GraphResult;
	if ErrorCode <> grOk then
	begin
		Writeln('Graphics error : ');
		Writeln('Program Aborted ...');
	end;

(* Set graphic driver to highest VGA mode *)
	SetGraphMode(2);

(* Draw the largest rectangle for the systems graphics board *)
	SetBkColor(0);
     Rectangle(0, 0, GetMaxX, GetMaxY);
	CrossHatch;

(* The drawing is complete ... waiting for release *)
	junk := readkey;
	ClearDevice;
	CloseGraph;
        clrscr;
        normvideo;
end. (Target3.pas)
