/* Test pattern generator for Tseng chip VGA boards. Assumes you have already
   set mode 1Bh using MSET. After viewing, do MSET 3 to get back to text mode.
   For Microsoft C ver 3.0 up.
*/
#include "stdio.h"            /* For fread() and printing to screen */
#include "dos.h"              /* For int86 */

typedef   unsigned char  BYTE;
union REGS regs;

main()
{    BYTE far *ptr, vgaseg;
     int  row, col;
     long count;

     FP_SEG(ptr) = 0xA000;                        /* Set for display buffer */
     FP_OFF(ptr) = 0;
     count = 0;                                   /* Clear byte count */
     vgaseg = 0x40;                               /* Start Tseng VGA segment byte */
     for (row=0; row < 400; row++)                /* Do all rows */
     {    for (col=0; col < 640; col++)           /* Do all cols */
          {    *ptr++ = (BYTE)((col / 2) % 256);  /* Write a color */
               count++;                           /* Inc byte count */
               if (count == 65536L)               /* If done with a segment */
               {    vgaseg++;                     /* Next segment */
                    outp(0x3CD, vgaseg);          /* Send to Tseng chip */
                    FP_SEG(ptr) = 0xA000;         /* Reset display buffer pointer */
                    FP_OFF(ptr) = 0;
                    count = 0;                    /* Reset byte count */
               }
          }
     }
}
